text-show-2.1.1: Efficient conversion of values into Text

Copyright | (C) 2014-2015 Ryan Scott
License | BSD-style (see the file LICENSE)
Maintainer | Ryan Scott
Stability | Provisional
Portability | GHC
Safe Haskell | None
Language | Haskell2010

TextShow.Data.List

Description

Exports `showbListWith`.

Synopsis

- showbListWith :: (a -> Builder) -> [a] -> Builder

# Documentation

showbListWith :: (a -> Builder) -> [a] -> Builder Source

Converts a list of values into a `Builder` in which the values are surrounded by square brackets and each value is separated by a comma. The function argument controls how each element is shown.